


/* ............. filter.html .................. */
.section-1.filter{
    .col-lg-3{
        margin-bottom: 30px;
    }
    .card{
        border: 0;
        z-index: 1;
        padding-bottom: 10px;
        height: 100%;
        .img-div{
            width: 100%;
            height: 200px;
            padding: 5px;
            z-index: 1;
        }.img-div img{
            width: 100%;
            height: 100%;
            object-fit: contain;
            object-position: bottom;
        }
        .card-body{
            display: flex;
            flex-direction: column;
            gap: 8px;
            z-index: 1;
            justify-content: space-between;
        }
        .card-title{
            font-size: 20px;
            display: -webkit-box;
          -webkit-box-orient: vertical;
          overflow: hidden;
         -webkit-line-clamp: 2;
         text-align: center;
         text-transform: capitalize;
        }
        .call-btn{
            text-decoration: none;
            padding: 5px 10px;
            background: #4077bb;
            color: white;
            font-size: 16px;
        }
        .call-btn:hover{
            background: #ea454b;
        }
    }
    .card::after{
        content: '';
        width: 100%;
        height: 50%;
        position: absolute;
        bottom: 0;
        border-radius: 10px;
        z-index: 0;
        background: #e4b3296b;
        transition: 0.4s;
        opacity: 0;
    }
    .card:hover{
        cursor: pointer;
    }
    .card:hover::after{
            height: 70%;
            opacity: 1;
        }
}
@media screen and (max-width:765px) {
    .section-1.filter{

        .card .img-div{
                height: 150px;
            }
            .card .card-title{
                font-size: 17px;
            }
        }
}
/* ............. filter.html END .................. */


/* ............. product-details.html .................. */
.banner2{
    width: 100%;
    height: 140px;
}


.container.product-details {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 900px;
    height: 600px;
    background: #fff;
    margin: auto;
    padding: 0;
    box-shadow: 0 0 2px 2px #0000006e;
    border-radius: 25px;

    .title-specs-div{
        .h4{
            border-bottom: 2px solid rgb(0 0 0 / 36%);
            display: flex;
            margin: 30px 0;
            padding-bottom: 5px;
        }
        .h4 span{
            display: flex;
            font-weight: bold;
            min-width: 30%;
        }
    }
}

.container.product-details .imgBx {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 100%;
    background: linear-gradient(to bottom right,#497fc3cc, #d06b70);
    transition: .3s linear;
    border-radius: 25px 0 0 25px;
}



.container.product-details .imgBx img {
    position: relative;
    width: 700px;
    left: -50px;
    transition: .9s linear;
}

.container.product-details .details {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 50%;
    height: 100%;
    box-sizing: border-box;
    padding: 30px 20px;
}

.container.product-details .details .content{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
}

.container.product-details .details h2{
    margin: 0;
    padding: 0;
    font-size: 35px;
    line-height: 1;
    color: #444;
    font-weight: bolder;
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.container.product-details .details h2 span {
    font-size: 0.4em;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: #417dc6;
}

.container.product-details .details p {
    color: #333333a1;
    font-size: 17px;
    margin-bottom: 16px;
}

.container.product-details .details h3 {
    margin: 0;
    padding: 0;
    font-size: 2.5em;
    color: #a2a2a2;
    float: left;
}
.container.product-details .details .buttons-div{
    flex-direction: row-reverse;
    justify-content: space-between;
    button{
    background: #198754;
    color: #fff;
    border: none;
    outline: none;
    padding: 10px 20px;
    margin-top: 5px;
    font-size: 16px;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-weight: 600;
    border-radius: 40px;
    }
    .pre-nxt-div{
        display: flex;
        gap: 10px;
        align-items: center;
    }
    .prev,.next{
        text-decoration: none;
        color: white;
        background: rgb(0 74 119);
        padding: 5px 10px;
        display: flex;
        gap: 5px;
        height: fit-content;
        align-items: center;
    }
}

.product-colors span {
    width: 26px;
    height: 26px;
    top: 7px;
    margin-right: 12px;
    left: 10px;
    border-radius: 50%;
    position: relative;
    cursor: pointer;
    display: inline-block;
}

.black {
    background: #000;
}

.red {
    background: #D5212E;
}

.orange {
    background: #F18557;
}

.product-colors .active:after{
    content: "";
    width: 36px;
    height: 36px;
    border: 2px solid #000;
    position: absolute;
    border-radius: 50%;
    box-sizing: border-box;
    left: -5px;
    top: -5px;
}

/* responsive */
@media (max-width: 992px) {
    .container.product-details {
        height: auto;
    }
    .container.product-details .imgBx {
        padding: 40px;
        box-sizing: border-box;
        width: 100% !important;
        height: auto;
        text-align: center;
        overflow: hidden;
    }
    .container.product-details .imgBx img {
        left: initial;
        max-width: 100%;
    }
    .details {
        width: 100% !important;
        height: auto;
        padding: 20px;
    }
    .container.product-details .details p {
        margin-left: 0;
        max-width: 100%;
    }
}

@media screen and (max-width:765px) {
    
.container.product-details {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 100%;
    height: fit-content;
    background: #fff;
    margin: auto;
    overflow: hidden;
    padding: 0;
    box-shadow: none;
    padding: 20px;
    border-radius: 25px;

    .title-specs-div{
        .h4{
            border-bottom: 2px solid rgb(0 0 0 / 36%);
            display: flex;
            margin: 30px 0;
            padding-bottom: 5px;
        }
        .h4 span{
            display: flex;
            font-weight: bold;
            min-width: 30%;
        }
    }
}

.container.product-details .imgBx {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 100%;
    background: linear-gradient(to bottom right,#497fc3cc, #d06b70);
    transition: .3s linear;
    border-radius: 20px;
}



.container.product-details .imgBx img {
    position: relative;
    width: 300px;
    left: 0;
    transition: .9s linear;
}

.container.product-details .details {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 50%;
    height: 100%;
    box-sizing: border-box;
    padding: 30px 20px;
}

.container.product-details .details .content{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.container.product-details .details h2{
    margin: 0;
    padding: 0;
    font-size: 35px;
    line-height: 1;
    color: #444;
    font-weight: bolder;
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.container.product-details .details h2 span {
    font-size: 0.4em;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: #417dc6;
}

.container.product-details .details p {
    color: #333333a1;
    font-size: 17px;
    margin-bottom: 16px;
}

.container.product-details .details h3 {
    margin: 0;
    padding: 0;
    font-size: 2.5em;
    color: #a2a2a2;
    float: left;
}
.container.product-details .details .buttons-div{
    flex-direction: row-reverse;
    justify-content: space-between;
    button{
    background: #198754;
    color: #fff;
    border: none;
    outline: none;
    padding: 10px 20px;
    margin-top: 5px;
    font-size: 16px;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-weight: 600;
    border-radius: 40px;
    }
    .pre-nxt-div{
        display: flex;
        gap: 10px;
        align-items: center;
    }
    .prev,.next{
        text-decoration: none;
        color: white;
        background: rgb(0 74 119);
        padding: 5px 10px;
        display: flex;
        gap: 5px;
        height: fit-content;
        align-items: center;
    }
}

.product-colors span {
    width: 26px;
    height: 26px;
    top: 7px;
    margin-right: 12px;
    left: 10px;
    border-radius: 50%;
    position: relative;
    cursor: pointer;
    display: inline-block;
}

.black {
    background: #000;
}

.red {
    background: #D5212E;
}

.orange {
    background: #F18557;
}

.product-colors .active:after{
    content: "";
    width: 36px;
    height: 36px;
    border: 2px solid #000;
    position: absolute;
    border-radius: 50%;
    box-sizing: border-box;
    left: -5px;
    top: -5px;
}
}
/* ............. product-details.html END .................. */